﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridCellActivationCase
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ViewModel vm = new ViewModel();         
           
            ultraGrid1.DataSource = vm.Data;
            ultraGrid1.DataBind();

            ultraGrid1.DisplayLayout.Override.AllowAddNew = Infragistics.Win.UltraWinGrid.AllowAddNew.FixedAddRowOnTop;

            ultraGrid1.Rows[0].Cells[0].Activation = Infragistics.Win.UltraWinGrid.Activation.NoEdit;

            ultraGrid1.BeforeRowUpdate += UltraGrid1_BeforeRowUpdate;           
        }      

        private void UltraGrid1_BeforeRowUpdate(object sender, CancelableRowEventArgs e)
        {
            if (e.Row.IsAddRow)
            {
                UltraGridRow row = e.Row;
                row.Cells[1].Activation = Activation.NoEdit;
                row.Cells[2].Activation = Activation.NoEdit;
            }
        }              
    }
}
