﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UltraGridCellActivationCase
{
    public class ViewModel
    {
        public BindingList<SampleData> Data { get; set; }

        string[] names = "Andrew;Alex;Devin;Steve;Eric;Emilie;Riley;Pamela;Dana".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new BindingList<SampleData>();

            for(int i=0; i < names.Length; i++)
            {
                Data.Add(new SampleData() { ID = i, Name = names[i], Age = r.Next(20, 30), RandomNumber = r.Next(1000) });
            }
            
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Age { get; set; }
        public int RandomNumber { get; set; }
    }
}
